<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">

    <title>Ethereum art shop</title>

    <!-- Bootstrap core CSS -->
    <link href="vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom styles -->
    <link href="css/shop-css.css" rel="stylesheet">

    <script src="vendor/js/web3.min.js"></script>
    <script src="vendor/jquery/jquery.min.js"></script>

    <script>
        if (typeof web3 !== 'undefined') {
            web3 = new Web3(web3.currentProvider);
        } else {
            // set the provider you want from Web3.providers
            web3 = new Web3(new Web3.providers.HttpProvider("http://localhost:8545"));
        }

        web3.eth.defaultAccount = web3.eth.accounts[0];

        var SmartContract = web3.eth.contract([{
                "constant": true,
                "inputs": [],
                "name": "last_completed_migration",
                "outputs": [{
                    "name": "",
                    "type": "uint256"
                }],
                "payable": false,
                "stateMutability": "view",
                "type": "function",
                "signature": "0x445df0ac"
            },
            {
                "constant": true,
                "inputs": [],
                "name": "owner",
                "outputs": [{
                    "name": "",
                    "type": "address"
                }],
                "payable": false,
                "stateMutability": "view",
                "type": "function",
                "signature": "0x8da5cb5b"
            },
            {
                "inputs": [],
                "payable": false,
                "stateMutability": "nonpayable",
                "type": "constructor",
                "signature": "constructor"
            },
            {
                "constant": false,
                "inputs": [{
                    "name": "completed",
                    "type": "uint256"
                }],
                "name": "setCompleted",
                "outputs": [],
                "payable": false,
                "stateMutability": "nonpayable",
                "type": "function",
                "signature": "0xfdacd576"
            },
            {
                "constant": false,
                "inputs": [{
                    "name": "new_address",
                    "type": "address"
                }],
                "name": "upgrade",
                "outputs": [],
                "payable": false,
                "stateMutability": "nonpayable",
                "type": "function",
                "signature": "0x0900f010"
            },
            {
                "constant": true,
                "inputs": [{
                    "name": "",
                    "type": "uint256"
                }],
                "name": "buyers",
                "outputs": [{
                    "name": "",
                    "type": "address"
                }],
                "payable": false,
                "stateMutability": "view",
                "type": "function",
                "signature": "0xf2aa8218"
            },
            {
                "constant": false,
                "inputs": [{
                    "name": "artId",
                    "type": "uint256"
                }],
                "name": "purchase",
                "outputs": [{
                    "name": "",
                    "type": "uint256"
                }],
                "payable": false,
                "stateMutability": "nonpayable",
                "type": "function",
                "signature": "0xefef39a1"
            },
            {
                "constant": true,
                "inputs": [],
                "name": "getBuyers",
                "outputs": [{
                    "name": "",
                    "type": "address[6]"
                }],
                "payable": false,
                "stateMutability": "view",
                "type": "function",
                "signature": "0xf64bfaba"
            }
        ]);
        var contract = SmartContract.at("0x776608C298A119C6DE7d6973f084C579a732C3FF");

        function purchase(artId, cost) {

            var sender = web3.eth.accounts[0];
            var receiver = web3.eth.accounts[9];

            var balance = web3.eth.getBalance(sender);
            console.log(balance);

            var amount = web3.toWei(cost, 'ether');
            if (balance > amount) {
                contract.purchase(artId);
                web3.eth.sendTransaction({
                    from: sender,
                    to: receiver,
                    value: amount
                });
                alert("Complimenti, hai acquistato l'oggetto!");
                document.location.reload(true)
            } else {
                alert("Non hai abbastanza fondi per comprare l'oggetto!");
            }
        }

        function getBuyer(artId) {

            var buyer = contract.buyers(artId);

            return buyer;
        }

        function getBalance() {

            var myBalanceWei = web3.eth.getBalance(web3.eth.defaultAccount).toNumber();
            var myBalance = web3.fromWei(myBalanceWei, 'ether');

            return myBalance;
        }
        var acquirenti = contract.getBuyers();

        $(document).ready(function() {

            for (var i = 0; i < 6; i++) {
                if (!acquirenti[i].startsWith("0x00")) {
                    $("h6").eq(i).html("Venduto");
                    $(".card-footer").eq(i).css("background-color", "red");
                    $(".link_shop").eq(i).removeAttr('href');
                    $(".card-footer").eq(i).css("pointer-events", "none");
                }
            }
        });

    </script>


</head>

<body>

    <!-- Navigation -->
    <nav class="navbar navbar-expand-lg navbar-dark bg-dark fixed-top">
        <div class="container">
            <a class="navbar-brand" href="#">Ethereum art shop</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item active">
                        <a class="nav-link" href="#">Home
              <span class="sr-only">(current)</span>
            </a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="Proprietari.html">Proprietari</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Page Content -->
    <div class="container">

        <div class="row">

            <div>

                <div id="carouselExampleIndicators" class="carousel slide my-4" data-ride="carousel">
                    <ol class="carousel-indicators">
                        <li data-target="#carouselExampleIndicators" data-slide-to="0" class="active"></li>
                        <li data-target="#carouselExampleIndicators" data-slide-to="1"></li>
                        <li data-target="#carouselExampleIndicators" data-slide-to="2"></li>
                    </ol>
                    <div class="carousel-inner" role="listbox">
                        <div class="carousel-item active">
                            <img class="d-block img-fluid" src="Images/ethereum%20copertina.jpg" alt="First slide">
                        </div>
                        <div class="carousel-item">
                            <img class="d-block img-fluid" src="Images/ethereum%20copertina%202.jpg" alt="Second slide">
                        </div>
                        <div class="carousel-item">
                            <img class="d-block img-fluid" src="Images/ethereum%20copertina3.jpg" alt="Third slide">
                        </div>
                    </div>
                    <a class="carousel-control-prev" href="#carouselExampleIndicators" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
          </a>
                    <a class="carousel-control-next" href="#carouselExampleIndicators" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
          </a>
                </div>

                <div class="row" , style="padding-top: 50px">

                    <!-- prima riga -->

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/Botticelli-La-nascita-di-Venere.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Botticelli</a>
                                </h4>
                                <h5>49.99 ETH</h5>
                                <p class="card-text">La nascita di Venere</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(0, 49.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/Leonardo-da-Vinci-Ultima-cena.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Leonardo Da Vinci</a>
                                </h4>
                                <h5>79.99 ETH</h5>
                                <p class="card-text">Ultima Cena</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(1, 79.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/Van-Gogh-Campo-di-grano-con-volo-di-corvi.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Van Gogh</a>
                                </h4>
                                <h5>35.99 ETH</h5>
                                <p class="card-text">Campo di grano con volo di corvi</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(2, 35.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>

                    <!-- seconda riga -->

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/La-persistenza-della-memoria-di-Dal%C3%AC.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Dalì</a>
                                </h4>
                                <h5>29.99 ETH</h5>
                                <p class="card-text">La persistenza della memoria</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(3, 29.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/Picasso-Guernica.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Picasso</a>
                                </h4>
                                <h5>15.99 ETH</h5>
                                <p class="card-text">Guernica</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(4, 15.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>

                    <div class="col-lg-4 col-md-6 mb-4">
                        <div class="card h-100">
                            <a href="#"><img class="card-img-top" src="Images/Art/Klimt-Il-bacio.jpg" alt=""></a>
                            <div class="card-body">
                                <h4 class="card-title">
                                    <a href="#">Klimt</a>
                                </h4>
                                <h5>45.99 ETH</h5>
                                <p class="card-text">Il Bacio</p>
                            </div>
                            <div class="card-footer">
                                <a href="#" onclick="purchase(5, 45.99)">
                                    <h6 align="center" , class="card-link">Compra</h6>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>


    <!-- Footer -->
    <footer class="py-5 bg-dark">
        <div class="container">
            <p class="m-0 text-center text-white">Powered by Ethereum</p>
        </div>
        <!-- /.container -->
    </footer>

    <!-- Bootstrap core JavaScript -->
    <script src="vendor/bootstrap/js/bootstrap.bundle.min.js"></script>


</body>

</html>
